Skip to content

List forecasts

GET
/v1/forecast/

Return all forecasts for the current account.

cursor
string

The pagination cursor value.

page_size
integer

Number of results to return per page.

search
string

A search term.

object
next
string format: uri
nullable
Example
http://api.example.org/accounts/?cursor=cD00ODY%3D"
previous
string format: uri
nullable
Example
http://api.example.org/accounts/?cursor=cj0xJnA9NDg3
results
required
Array<object>

A ModelSerializer that takes an additional fields argument that controls which fields should be displayed.

object
account
required
string format: uuid
configuration
required
string format: uuid
failed_at
string format: date-time
nullable
id
required
string format: uuid
modified_at
required
string format: date-time
predicted_critical_threshold
Predicted critical threshold datetime
string format: date-time
nullable
predicted_shortage
Predicted shortage datetime
string format: date-time
nullable
predicted_warning_threshold
Predicted warning threshold datetime
string format: date-time
nullable
promql_query
required
string
ran_at
string format: date-time
nullable
threshold_critical
number format: double
nullable
threshold_shortage
number format: double
nullable
threshold_warning
number format: double
nullable